%define rversion 2.1.19
%define apache_version 1.3.33

Summary:	Apache authentication using external program
Name:		apache1-mod_auth_external
Version:	%{apache_version}_%{rversion}
Release:	1mdk
Group:		System/Servers
License:	Apache License
URL:		http://www.unixpapa.com/mod_auth_external.html
Source0:	http://www.unixpapa.com/software/mod_auth_external-%{rversion}.tar.bz2
Source1:	apache1-mod_auth_external.conf
Patch0:		mod_auth_external-2.1.18-apache.patch.bz2
Prereq:		apache1 = %{apache_version}
Prereq:		apache1-base >= %{apache_version}
Requires:	pwauth
BuildRequires:	apache1-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Apache external authentication module - uses PAM.

%prep

%setup -q -n mod_auth_external-%{rversion}
%patch0 -p1

%build
%{_sbindir}/apache1-apxs -c mod_auth_external.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/apache1/modules.d
install -d %{buildroot}%{_libdir}/apache1

install -m0755 mod_auth_external.so %{buildroot}%{_libdir}/apache1/
install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/apache1/modules.d/14_mod_auth_external.conf

%post
if [ -f %{_var}/lock/subsys/apache1 ]; then
    %{_initrddir}/apache1 restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/apache1 ]; then
        %{_initrddir}/apache1 restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/apache1/modules.d/14_mod_auth_external.conf
%attr(0555,root,root) %{_libdir}/apache1/mod_auth_external.so

%changelog
* Mon Jun 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.33_2.1.19-1mdk
- 2.1.19
- fix deps
- renamed to apache1-mod_auth_external and reworked it quite a bit

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.1.18-4mdk
- spec file cleanups, remove the ADVX-build stuff

* Sun Nov 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.1.18-3mdk
- built for apache 1.3.33

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.1.18-2mdk
- remove redundant provides

* Thu Jun 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.1.18-1mdk
- 2.1.18
- rediff P1-P3
- built for apache 1.3.31

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.1.15-10mdk
- built for apache 1.3.29

* Tue Sep 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.1.15-9mdk
- rebuild with apache 1.3.28

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.1.15-8mdk
- new macroized libmm version
- add AP13pre macro to make sure about the sanity of the conf files

* Mon Jan  6 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.1.15-7mdk
- Rebuilt for new mm version
- Add Provides: ADVXpackage, all ADVX package will have this tag, 
  so we can easily do a rpm --whatprovides ADVXpackage to find out
  what ADVX packages a user has installed on his system. 

* Wed Nov 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.1.15-6mdk
- Make it lib64 aware
- Patch4: 64-bit fixes

* Fri Nov  8 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.1.15-5mdk
- Rebuild for Cooker

* Mon Oct 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.1.15-4mdk
- Rebuild with new apache

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 2.1.15-3mdk
- rebuild (so that it builds with "-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64")
  => fix segfault

* Wed Jun 26 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.1.15-2mdk
- rebuild against latest apache.

* Sat May 18 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.1.15-1mdk
- new version.
- build with gcc 3.1.
- updated Patch3 to show new version.

* Mon Apr 15 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.1.14-10mdk
- Apache 1.3.24.

* Mon Mar 04 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.1.14-9mdk
- Patched so we know easily if the module is loaded.

* Thu Feb 28 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.1.14-8mdk
- Fix documentation permissions.

* Wed Feb 06 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.1.14-7mdk
- Add documentation in %{apachecontent}/addon-modules/

* Wed Feb 06 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.1.14-6mdk
- Remake the post and postun sections (now like other apache modules).
- Spec cleanup.
- Correct config file for the new location of the module.

* Mon Feb 04 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.1.14-5mdk
- Rebuild against last apache.

* Wed Jan 30 2002 Philippe Libat <philippe@mandrakesoft.com> 2.1.14-4mdk
- Patch2: fix server_uid
- include unixgroup auth.

* Tue Jan 29 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.1.14-3mdk
- Fix doc permission

* Tue Jan 29 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.1.14-2mdk
- Fix typo in the pam patch.

* Thu Jan 17 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.1.14-1mdk
- Fix %%apachebase var (so fix %%post and %%postun).
- Release 2.1.14
- Update patches

* Fri Jul 13 2001 Philippe Libat <philippe@mandrakesoft.com> 2.1.12-1mdk
- New version

* Thu Jun 28 2001 Philippe Libat <philippe@mandrakesoft.com> 2.1.11-1mdk
- update version

* Thu Aug 31 2000 Philippe Libat <philippe@mandrakesoft.com> 2.1.2-1mdk
- Linux-Mandrake adaptations

* Sat Jun 10 2000 Charlie Brady <charlieb@e-smith.net>
- Make sure that "www" group exists before installing.

* Wed May 31 2000 Charlie Brady <charlieb@e-smith.net>
- Fix permissions/ownership - don't want build time group, want install time.
